[yocto] [yocto-kernel-tools] configme: Error out loudly if merge_configs.sh fails

Ioan-Adrian Ratiu adrian.ratiu at ni.com
Tue Aug 4 03:50:48 PDT 2015


If merge_configs.sh fails, then configme should error loudly and
stop the build because this usually means the build will break
somewhere else down the road.

Signed-off-by: Ioan-Adrian Ratiu <adrian.ratiu at ni.com>
---
 tools/configme        | 6 ++++++
 tools/merge_config.sh | 4 ++++
 2 files changed, 10 insertions(+)

diff --git a/tools/configme b/tools/configme
index e9a4b96..913952c 100755
--- a/tools/configme
+++ b/tools/configme
@@ -255,6 +255,12 @@ run_board_config()
     ARCH=$KARCH O=$BUILD_DIR merge_config.sh $allnoconfig -d $merge_frags  \
                                       > $META_DIR/cfg/$KTGT/merge_log.txt 2>&1
 
+    if [ $? != 0 ]; then
+	echo "ERROR: Could not merge config fragments"
+	echo "    errors are logged in `pwd`/$META_DIR/cfg/$KTGT/merge_log.txt"
+	exit 1
+    fi
+
     mv $BUILD_DIR/.tmp.config* $META_DIR/cfg/$KTGT/$CFGFILE
     if [ $? != 0 ]; then
      	echo creation of pre-processed config data failed
diff --git a/tools/merge_config.sh b/tools/merge_config.sh
index 7a257dc..24c405a 100755
--- a/tools/merge_config.sh
+++ b/tools/merge_config.sh
@@ -149,6 +149,10 @@ fi
 # allnoconfig: Fills in any missing symbols with # CONFIG_* is not set
 make KCONFIG_ALLCONFIG=$TMP_FILE O=$OUTPUT $ALLTARGET
 
+if [ $? != 0 ]; then
+    echo "ERROR: Could not fill in missing kconfig symbols"
+    exit 1
+fi
 
 # Check all specified config values took (might have missed-dependency issues)
 for CFG in $(sed -n "$SED_CONFIG_EXP" $TMP_FILE); do
-- 
2.1.4




More information about the yocto mailing list